﻿package 
{
	import flash.display.MovieClip;
	import org.puremvc.as3.patterns.facade.Facade;
	import com.minnsLangton.controller.ApplicationStartUpCommand;
	/**
	* ...
	* @author Tim Ashworth
	*/
	public class ApplicationFacade extends Facade
	{
		public static const APP_START:String = "appStart";
		
		public static function getInstance():ApplicationFacade
		{
			if (instance == null)
			{
				instance = new ApplicationFacade();
			}
			return instance as ApplicationFacade;
		}
		
		public function startUp(app:MovieClip):void
		{
			sendNotification(ApplicationFacade.APP_START,app);
		}
		
		override protected function initializeController():void
		{
			super.initializeController();
			registerCommand(ApplicationFacade.APP_START, ApplicationStartUpCommand);
		}
	}
	
}