﻿package com.minnsLangton.view.components 
{
	import flash.display.MovieClip;
	import gs.TweenLite;
	/**
	* ...
	* @author Tim Ashworth
	*/
	public class MinnsPage extends MovieClip
	{
		private var contentArray:Array;
		
		public function MinnsPage() 
		{
			contentArray = new Array();
		}
		
		protected function init():void
		{
			for (var i:int = 0; i < contentArray.length; i++)
			{
				//contentArray[i].visible = false;
				contentArray[i].alpha = 0;
			}
		}
		
		protected function registerContent(content:MovieClip):void
		{
			contentArray.push(content);
		}
		
		public function displayContent():void
		{
			for (var i:int = 0; i < contentArray.length; i++)
			{
				contentArray[i].visible = true;
				TweenLite.to(contentArray[i], 1, { delay:0.5 * i, alpha:1 } );
			}
		}
		
		public function hideContent():void
		{
			for (var i:int = 0; i < contentArray.length; i++)
			{
				TweenLite.to(contentArray[i], 1, { alpha:0 } );
			}
		}
	}
	
}